'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CodeSnippet = function (_React$Component) {
  _inherits(CodeSnippet, _React$Component);

  function CodeSnippet(props) {
    _classCallCheck(this, CodeSnippet);

    var _this = _possibleConstructorReturn(this, (CodeSnippet.__proto__ || Object.getPrototypeOf(CodeSnippet)).call(this, props));

    _this.handleInputClick = _this.handleInputClick.bind(_this);
    _this.handleButtonClick = _this.handleButtonClick.bind(_this);
    return _this;
  }

  _createClass(CodeSnippet, [{
    key: 'handleInputClick',
    value: function handleInputClick() {
      this.textInput.select();
    }
  }, {
    key: 'handleButtonClick',
    value: function handleButtonClick() {
      this.textInput.select();
      try {
        document.execCommand('copy');
      } catch (err) {
        console.warn('Unable to copy'); // eslint-disable-line no-console
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        'div',
        { className: 'p-code-snippet' },
        _react2.default.createElement('input', {
          className: 'p-code-snippet__input',
          value: this.props.value,
          readOnly: 'readonly',
          onClick: this.handleInputClick,
          ref: function ref(input) {
            _this2.textInput = input;
          }
        }),
        _react2.default.createElement(
          'button',
          {
            className: 'p-code-snippet__action',
            onClick: this.handleButtonClick
          },
          'Copy to clipboard'
        )
      );
    }
  }]);

  return CodeSnippet;
}(_react2.default.Component);

CodeSnippet.propTypes = {
  value: _propTypes2.default.string.isRequired
};

CodeSnippet.displayName = 'CodeSnippet';

exports.default = CodeSnippet;