'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FooterNav = function FooterNav(props) {
  return _react2.default.createElement(
    'li',
    { className: 'p-footer__item' },
    _react2.default.createElement(
      'a',
      { className: 'p-footer__link', href: props.link },
      props.title
    )
  );
};

FooterNav.propTypes = {
  title: _propTypes2.default.string.isRequired,
  link: _propTypes2.default.string.isRequired
};

FooterNav.displayName = 'FooterNav';

exports.default = FooterNav;