'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ListTreeItem = function ListTreeItem(props) {
  return _react2.default.createElement(
    'li',
    { key: props.index, className: 'p-list-tree__item' },
    props.children
  );
};

ListTreeItem.defaultProps = {
  index: '0'
};

ListTreeItem.propTypes = {
  children: _propTypes2.default.node.isRequired,
  index: _propTypes2.default.string
};

ListTreeItem.displayName = 'ListTreeItem';

exports.default = ListTreeItem;