'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _getClassName = require('../../utils/getClassName');

var _getClassName2 = _interopRequireDefault(_getClassName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SideNavGroup = function (_React$Component) {
  _inherits(SideNavGroup, _React$Component);

  function SideNavGroup(props) {
    _classCallCheck(this, SideNavGroup);

    var _this = _possibleConstructorReturn(this, (SideNavGroup.__proto__ || Object.getPrototypeOf(SideNavGroup)).call(this, props));

    _this.onClick = _this.onClick.bind(_this);

    _this.state = { selected: props.selected };
    return _this;
  }

  _createClass(SideNavGroup, [{
    key: 'onClick',
    value: function onClick(e) {
      e.preventDefault();
      var selected = this.state.selected;

      this.setState({ selected: !selected });
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          href = _props.href,
          label = _props.label;
      var selected = this.state.selected;


      var className = (0, _getClassName2.default)({
        sidebar__link: true,
        'is-selected': selected
      });

      return _react2.default.createElement(
        'li',
        null,
        _react2.default.createElement(
          'a',
          { className: className, href: href, onClick: this.onClick },
          label,
          _react2.default.createElement('i', { className: 'p-icon--plus' }),
          _react2.default.createElement('i', { className: 'p-icon--minus' })
        ),
        _react2.default.createElement(
          'ul',
          { className: 'sidebar__second-level' },
          children
        )
      );
    }
  }]);

  return SideNavGroup;
}(_react2.default.Component);

SideNavGroup.defaultProps = {
  children: null,
  href: '#',
  selected: false
};

SideNavGroup.propTypes = {
  children: _propTypes2.default.node,
  href: _propTypes2.default.string,
  label: _propTypes2.default.string.isRequired,
  selected: _propTypes2.default.bool
};

SideNavGroup.displayName = 'SideNavGroup';

exports.default = SideNavGroup;