'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DividerList = function DividerList(props) {
  var dividerItems = _react2.default.Children.map(props.children, function (child) {
    return _react2.default.cloneElement(child, {
      items: _react2.default.Children.count(props.children)
    });
  });

  return _react2.default.createElement(
    'div',
    { className: 'p-divider' },
    dividerItems
  );
};

DividerList.propTypes = {
  children: _propTypes2.default.node.isRequired
};

DividerList.displayName = 'DividerList';

exports.default = DividerList;