'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DividerListItem = function DividerListItem(props) {
  return _react2.default.createElement(
    'div',
    { className: 'col-' + 12 / props.items + ' p-divider__block' },
    props.children
  );
};

DividerListItem.defaultProps = {
  items: 3
};

DividerListItem.propTypes = {
  children: _propTypes2.default.node.isRequired,
  items: _propTypes2.default.oneOf([2, 3, 4, 6])
};

DividerListItem.displayName = 'DividerListItem';

exports.default = DividerListItem;