'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _getClassName2 = require('../../utils/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var FieldSet = function FieldSet(props) {
  var children = props.children,
      className = props.className,
      otherProps = _objectWithoutProperties(props, ['children', 'className']);

  var classNames = (0, _getClassName3.default)(_defineProperty({}, className, className)) || undefined;

  return _react2.default.createElement(
    'fieldset',
    _extends({ className: classNames }, otherProps),
    children
  );
};

FieldSet.defaultProps = {
  className: undefined
};

FieldSet.propTypes = {
  children: _propTypes2.default.node.isRequired,
  className: _propTypes2.default.string
};

FieldSet.displayName = 'FieldSet';

exports.default = FieldSet;