'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _getClassName2 = require('../../utils/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FormGroup = function FormGroup(props) {
  var _getClassName;

  var children = props.children,
      className = props.className;


  var classNames = (0, _getClassName3.default)((_getClassName = {}, _defineProperty(_getClassName, className, className), _defineProperty(_getClassName, 'p-form__group', true), _getClassName)) || undefined;

  return _react2.default.createElement(
    'div',
    { className: classNames },
    children
  );
};

FormGroup.defaultProps = {
  children: undefined,
  className: ''
};

FormGroup.propTypes = {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string
};

FormGroup.displayName = 'FormGroup';

exports.default = FormGroup;