'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HeadingIcon = function HeadingIcon(props) {
  return _react2.default.createElement(
    'div',
    { className: 'p-heading-icon' },
    _react2.default.createElement(
      'div',
      { className: 'p-heading-icon__header' },
      _react2.default.createElement('img', { className: 'p-heading-icon__img', alt: props.alt, src: props.src }),
      _react2.default.createElement(
        'h3',
        { className: 'p-heading-icon__title' },
        props.title
      )
    ),
    props.children
  );
};

HeadingIcon.defaultProps = {
  alt: '',
  children: ''
};

HeadingIcon.propTypes = {
  title: _propTypes2.default.string.isRequired,
  src: _propTypes2.default.string.isRequired,
  alt: _propTypes2.default.string,
  children: _propTypes2.default.node
};

HeadingIcon.displayName = 'HeadingIcon';

exports.default = HeadingIcon;