'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InlineImages = function InlineImages(props) {
  var images = _react2.default.Children.map(props.children, function (child) {
    return _react2.default.createElement(
      'li',
      { className: 'p-inline-images__item' },
      child
    );
  });

  return _react2.default.createElement(
    'ul',
    { className: 'p-inline-images' },
    images
  );
};

InlineImages.propTypes = {
  children: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.arrayOf(_propTypes2.default.element)]).isRequired
};

InlineImages.displayName = 'InlineImages';

exports.default = InlineImages;