'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MutedHeading = function MutedHeading(props) {
  return _react2.default.createElement(
    'h4',
    { className: 'p-muted-heading' },
    props.children
  );
};

MutedHeading.defaultProps = {
  children: ''
};

MutedHeading.propTypes = {
  children: _propTypes2.default.node
};

MutedHeading.displayName = 'MutedHeading';

exports.default = MutedHeading;