'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PaginationItem = require('./PaginationItem');

var _PaginationItem2 = _interopRequireDefault(_PaginationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Pagination = function Pagination(props) {
  return _react2.default.createElement(
    'div',
    { className: 'p-pagination' },
    props.children
  );
};

Pagination.defaultProps = {
  children: null
};

Pagination.propTypes = {
  children: function children(props, propName, componentName) {
    var prop = props[propName];
    var error = null;

    _react2.default.Children.forEach(prop, function (child) {
      if (child.type !== _PaginationItem2.default) {
        error = new Error(componentName + ' children should be of type "PaginationItem".');
      }
    });

    return error;
  }
};

Pagination.displayName = 'Pagination';

exports.default = Pagination;