'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _getClassName2 = require('../../utils/getClassName');

var _getClassName3 = _interopRequireDefault(_getClassName2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SliderInput = function SliderInput(props) {
  var _getClassName;

  var className = props.className,
      value = props.value,
      otherProps = _objectWithoutProperties(props, ['className', 'value']);

  var classNames = (0, _getClassName3.default)((_getClassName = {}, _defineProperty(_getClassName, className, className), _defineProperty(_getClassName, 'p-slider__input', true), _getClassName)) || undefined;

  return _react2.default.createElement('input', _extends({
    className: classNames,
    type: 'text',
    value: value
  }, otherProps));
};

SliderInput.defaultProps = {
  className: undefined,
  maxLength: 3,
  value: undefined
};

SliderInput.propTypes = {
  className: _propTypes2.default.string,
  maxLength: _propTypes2.default.number,
  value: _propTypes2.default.number
};

SliderInput.displayName = 'SliderInput';

exports.default = SliderInput;